<?php
function preprocessHeaderField($value)
{
  $ret = str_replace("\r", "", $value);
  $ret = str_replace("\n", "", $ret);
  $ret = str_replace("<", "", $ret);
  $ret = str_replace(">", "", $ret);
  $ret = str_replace("/", "", $ret);
  $ret = str_replace("$", "", $ret);
  $ret = str_replace("{", "", $ret);
  $ret = str_replace("}", "", $ret);
  $ret = str_replace("[", "", $ret);
  $ret = str_replace("]", "", $ret);
  $ret = str_replace("=", "", $ret);
  $ret = str_replace(";", "", $ret);
  $ret = str_replace("'", "", $ret);
  $ret = str_replace("$", "", $ret);
  $ret = str_replace("html", "", $ret);
  $ret = str_replace("body", "", $ret);
  $ret = str_replace("head", "", $ret);
  $ret = str_replace("href", "", $ret);
  $ret = str_replace("javascript", "", $ret);
  $ret = str_replace("php", "", $ret);
  $ret = str_replace("sql", "", $ret);
   $ret = str_replace("INSERT", "", $ret);
    $ret = str_replace("DELETE", "", $ret);
  $find = array("/bcc\:/i",
                "/Content\-Type\:/i",
                "/Mime\-Type\:/i",
                "/cc\:/i",
                "/to\:/i");
  $ret = preg_replace($find,
                      "**bogus header removed**",
                      $ret);
  return $ret;
}
?>